<? include('checkcookie.php'); ?>
<h3>История продаж рефералов на бирже</h3>
<br>
<b>Форма для поиска:</b><br>
<form action="" method=post>
<table>
<tr>
<td><b>Продавец:<b><br>
<input type="text" value="<?=$_POST["prod"]?>" name="prod">
</td><td>
<b>Покупатель:</b><br>
<input type="text" value="<?=$_POST["pocup"]?>" name="pocup">
</td><td>
<b>Пользователь:</b><br>
<input type="text" value="<?=$_POST["tov"]?>" name="tov">
</td><td>
<b>Сумма:</b><br>
<input type="text" value="<?=$_POST["mon"]?>" name="mon">
</td></tr>
<tr><td align="center" colspan=4>
<div align="center"><input type="submit" value="Искать"></div>
</td></tr></table>
</form>

<br><br>

Рефералы в продаже:<br>

<table  width="100%" cellspacing="0" cellpadding="0">
<tr>
	<th>№</th>
	<th>Продавец</th>
	<th>Покупатель</th>
	<th>Пользователь</th>
	<th>Цена</th>
    <th>Дата</th>
</tr>
<?

$prod = "id !=''";
if($_POST["prod"]!=""){$prod = "prodovec='".$_POST["prod"]."'";}if($_POST["pocup"]!=""){$pocup = " pocupatel='".$_POST["pocup"]."'";}if($_POST["tov"]!=""){$tov = " tovar='".$_POST["tov"]."'";}if($_POST["mon"]!=""){$mon = " money='".$_POST["mon"]."'";}
$in=-1;foreach($_POST as $id){$in++;if($id!=""){$and[$in] = " and ";}}
$i=0;
$res=mysql_query("select * from still_birstatus where ".$prod.$and[1].$pocup.$and[2].$tov.$and[3].$mon."  order by id asc");
if(mysql_num_rows($res)>0){
while($row=mysql_fetch_array($res))
{
$i++;
$date = date("d.m.y",$row["date"]);

echo <<<STILL
<tr>
<td align=center>{$i}</td>
<td align=center>{$row["prodovec"]}</td>
<td align=center>{$row["pocupatel"]}</td>
<td align=center>{$row["tovar"]}</td>
<td align=center>{$row["money"]}</td>
<td align=center>{$date}</td>
</tr>
STILL;

}
}else{
echo <<<STILL
<tr>
<td align=center colspan="6">По данному запросу ничего не найдено</td>
</tr>
STILL;
}
echo "</table>";

?>
